Loading...
Searching...
No Matches
Parameter Definition
libavutil » Audio related » Immersive Audio Model and Formats

Parameters as defined in section 3.6.1 and 3.8 of IAMF. More...

## Data Structures

struct | AVIAMFMixGain
| Mix Gain Parameter Data as defined in section 3.8.1 of IAMF. More...
struct | AVIAMFDemixingInfo
| Demixing Info Parameter Data as defined in section 3.8.2 of IAMF. More...
struct | AVIAMFReconGain
| Recon Gain Info Parameter Data as defined in section 3.8.3 of IAMF. More...
struct | AVIAMFParamDefinition
| Parameters as defined in section 3.6.1 of IAMF. More...

## Enumerations

enum | AVIAMFAnimationType { AV_IAMF_ANIMATION_TYPE_STEP , AV_IAMF_ANIMATION_TYPE_LINEAR , AV_IAMF_ANIMATION_TYPE_BEZIER }
enum | AVIAMFParamDefinitionType { AV_IAMF_PARAMETER_DEFINITION_MIX_GAIN , AV_IAMF_PARAMETER_DEFINITION_DEMIXING , AV_IAMF_PARAMETER_DEFINITION_RECON_GAIN }

## Functions

const AVClass * | av_iamf_param_definition_get_class (void)
AVIAMFParamDefinition * | av_iamf_param_definition_alloc (enum AVIAMFParamDefinitionType type, unsigned int nb_subblocks, size_t *size)
| Allocates memory for AVIAMFParamDefinition, plus an array of `nb_subblocks` amount of subblocks of the given type and initializes the variables.
static av_always_inline void * | av_iamf_param_definition_get_subblock (const AVIAMFParamDefinition *par, unsigned int idx)
| Get the subblock at the specified `idx`.

## Detailed Description

Parameters as defined in section 3.6.1 and 3.8 of IAMF.

## Enumeration Type Documentation

## AVIAMFAnimationType

enum AVIAMFAnimationType

Enumerator
AV_IAMF_ANIMATION_TYPE_STEP |
AV_IAMF_ANIMATION_TYPE_LINEAR |
AV_IAMF_ANIMATION_TYPE_BEZIER |

Definition at line 66 of file iamf.h.

## AVIAMFParamDefinitionType

enum AVIAMFParamDefinitionType

Enumerator
AV_IAMF_PARAMETER_DEFINITION_MIX_GAIN | Subblocks are of struct type AVIAMFMixGain.
AV_IAMF_PARAMETER_DEFINITION_DEMIXING | Subblocks are of struct type AVIAMFDemixingInfo.
AV_IAMF_PARAMETER_DEFINITION_RECON_GAIN | Subblocks are of struct type AVIAMFReconGain.

Definition at line 169 of file iamf.h.

## Function Documentation

## av_iamf_param_definition_get_class()

const AVClass * av_iamf_param_definition_get_class | ( | void |  | ) |

## av_iamf_param_definition_alloc()

AVIAMFParamDefinition * av_iamf_param_definition_alloc | ( | enum AVIAMFParamDefinitionType | type,
|  | unsigned int | nb_subblocks,
|  | size_t * | size
| ) |  |

Allocates memory for AVIAMFParamDefinition, plus an array of `nb_subblocks` amount of subblocks of the given type and initializes the variables.

Can be freed with a normal av_free() call.

Parameters

  size | if non-NULL, the size in bytes of the resulting data array is written here.

## av_iamf_param_definition_get_subblock()

static av_always_inline void * av_iamf_param_definition_get_subblock | ( | const AVIAMFParamDefinition * | par,
|  | unsigned int | idx
| ) |  |

static

Get the subblock at the specified `idx`.

Must be between 0 and nb_subblocks - 1.

The param definition type defines the struct type of the returned pointer.

Definition at line 260 of file iamf.h.